[arch-commits] CVS update of extra/gnome/meld (PKGBUILD fix-po.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Apr 25 18:09:49 EDT 2007


    Date: Wednesday, April 25, 2007 @ 18:09:49
  Author: andyrtr
    Path: /home/cvs-extra/extra/gnome/meld

   Added: fix-po.patch (1.1)
Modified: PKGBUILD (1.6 -> 1.7)

rebuild for new gnome release; added gettext fix


--------------+
 PKGBUILD     |   14 ++--
 fix-po.patch |  185 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 193 insertions(+), 6 deletions(-)


Index: extra/gnome/meld/PKGBUILD
diff -u extra/gnome/meld/PKGBUILD:1.6 extra/gnome/meld/PKGBUILD:1.7
--- extra/gnome/meld/PKGBUILD:1.6	Wed Apr 25 17:51:38 2007
+++ extra/gnome/meld/PKGBUILD	Wed Apr 25 18:09:49 2007
@@ -1,24 +1,26 @@
 # Maintainer: Mark Rosenstand <mark at borkware.net>
 pkgname=meld
 pkgver=1.1.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Visual diff and merge tool for GNOME"
 arch=(i686 x86_64)
 url="http://meld.sourceforge.net/"
 depends=('gnome-python')
 makedepends=('intltool' 'pkgconfig')
 install=meld.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.1/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('e780a8f67183acf7f51b13aa4a62ac85')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.1/${pkgname}-${pkgver}.tar.bz2
+	fix-po.patch)
+md5sums=('e780a8f67183acf7f51b13aa4a62ac85' '3ec863ae5648587f525dddd4cc614557')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i ../fix-po.patch || return 1
   find . -name GNUmakefile -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
   if [ -f omf.make ]; then
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
 
-  make prefix=/opt/gnome || return 1
-  make prefix=/opt/gnome DESTDIR=${startdir}/pkg install
-  rm -rf ${startdir}/pkg/opt/gnome/share/doc
+  make prefix=/usr || return 1
+  make prefix=/usr DESTDIR=${startdir}/pkg install
+  rm -rf ${startdir}/pkg/usr/gnome/share/doc
 }
Index: extra/gnome/meld/fix-po.patch
diff -u /dev/null extra/gnome/meld/fix-po.patch:1.1
--- /dev/null	Wed Apr 25 18:09:49 2007
+++ extra/gnome/meld/fix-po.patch	Wed Apr 25 18:09:49 2007
@@ -0,0 +1,185 @@
+--- po/ru.po.orig	2006/08/27 09:11:02	1.1
++++ po/ru.po	2006/08/27 09:11:53
+@@ -190,57 +190,57 @@
+ #, python-format
+ msgid "%i second"
+ msgid_plural "%i seconds"
+-msgstr[0] "секунда"
+-msgstr[1] "секунды"
+-msgstr[2] "секунд"
++msgstr[0] "%i секунда"
++msgstr[1] "%i секунды"
++msgstr[2] "%i секунд"
+ 
+ #: ../dirdiff.py:571
+ #, python-format
+ msgid "%i minute"
+ msgid_plural "%i minutes"
+-msgstr[0] "минута"
+-msgstr[1] "минуты"
+-msgstr[2] "минут"
++msgstr[0] "%i минута"
++msgstr[1] "%i минуты"
++msgstr[2] "%i минут"
+ 
+ #: ../dirdiff.py:572
+ #, python-format
+ msgid "%i hour"
+ msgid_plural "%i hours"
+-msgstr[0] "час"
+-msgstr[1] "часа"
+-msgstr[2] "часов"
++msgstr[0] "%i час"
++msgstr[1] "%i часа"
++msgstr[2] "%i часов"
+ 
+ #: ../dirdiff.py:573
+ #, python-format
+ msgid "%i day"
+ msgid_plural "%i days"
+-msgstr[0] "день"
+-msgstr[1] "дня"
+-msgstr[2] "дней"
++msgstr[0] "%i день"
++msgstr[1] "%i дня"
++msgstr[2] "%i дней"
+ 
+ #: ../dirdiff.py:574
+ #, python-format
+ msgid "%i week"
+ msgid_plural "%i weeks"
+-msgstr[0] "неделя"
+-msgstr[1] "недели"
+-msgstr[2] "недель"
++msgstr[0] "%i неделя"
++msgstr[1] "%i недели"
++msgstr[2] "%i недель"
+ 
+ #: ../dirdiff.py:575
+ #, python-format
+ msgid "%i month"
+ msgid_plural "%i months"
+-msgstr[0] "месяц"
+-msgstr[1] "месяца"
+-msgstr[2] "месяцев"
++msgstr[0] "%i месяц"
++msgstr[1] "%i месяца"
++msgstr[2] "%i месяцев"
+ 
+ #: ../dirdiff.py:576
+ #, python-format
+ msgid "%i year"
+ msgid_plural "%i years"
+-msgstr[0] "год"
+-msgstr[1] "года"
+-msgstr[2] "лет"
++msgstr[0] "%i год"
++msgstr[1] "%i года"
++msgstr[2] "%i лет"
+ 
+ #. Abbreviation for insert,overwrite so that it will fit in the status bar
+ #: ../filediff.py:224
+--- po/hu.po.orig	2006-02-24 19:19:25.000000000 -0500
++++ po/hu.po	2006-09-11 13:18:43.000000000 -0400
+@@ -99,49 +99,42 @@
+ msgid "%i second"
+ msgid_plural "%i seconds"
+ msgstr[0] "%i másodperc"
+-msgstr[1] "%i másodperc"
+ 
+ #: ../dirdiff.py:570
+ #, python-format
+ msgid "%i minute"
+ msgid_plural "%i minutes"
+ msgstr[0] "%i perc"
+-msgstr[1] "%i perc"
+ 
+ #: ../dirdiff.py:571
+ #, python-format
+ msgid "%i hour"
+ msgid_plural "%i hours"
+ msgstr[0] "%i óra"
+-msgstr[1] "%i óra"
+ 
+ #: ../dirdiff.py:572
+ #, python-format
+ msgid "%i day"
+ msgid_plural "%i days"
+ msgstr[0] "%i nap"
+-msgstr[1] "%i nap"
+ 
+ #: ../dirdiff.py:573
+ #, python-format
+ msgid "%i week"
+ msgid_plural "%i weeks"
+ msgstr[0] "%i hét"
+-msgstr[1] "%i hét"
+ 
+ #: ../dirdiff.py:574
+ #, python-format
+ msgid "%i month"
+ msgid_plural "%i months"
+ msgstr[0] "%i hónap"
+-msgstr[1] "%i hónap"
+ 
+ #: ../dirdiff.py:575
+ #, python-format
+ msgid "%i year"
+ msgid_plural "%i years"
+ msgstr[0] "%i év"
+-msgstr[1] "%i év"
+ 
+ #. Abbreviation for insert,overwrite so that it will fit in the status bar
+ #: ../filediff.py:214
+--- po/ja.po.orig	2006-03-05 06:03:44.000000000 -0500
++++ po/ja.po	2006-09-11 13:19:58.000000000 -0400
+@@ -97,49 +97,42 @@
+ msgid "%i second"
+ msgid_plural "%i seconds"
+ msgstr[0] "%i 秒"
+-msgstr[1] "%i 秒"
+ 
+ #: ../dirdiff.py:570
+ #, python-format
+ msgid "%i minute"
+ msgid_plural "%i minutes"
+ msgstr[0] "%i 分"
+-msgstr[1] "%i 分"
+ 
+ #: ../dirdiff.py:571
+ #, python-format
+ msgid "%i hour"
+ msgid_plural "%i hours"
+ msgstr[0] "%i 時間"
+-msgstr[1] "%i 時間"
+ 
+ #: ../dirdiff.py:572
+ #, python-format
+ msgid "%i day"
+ msgid_plural "%i days"
+ msgstr[0] "%i æ—¥"
+-msgstr[1] "%i æ—¥"
+ 
+ #: ../dirdiff.py:573
+ #, python-format
+ msgid "%i week"
+ msgid_plural "%i weeks"
+ msgstr[0] "%i 週間"
+-msgstr[1] "%i 週間"
+ 
+ #: ../dirdiff.py:574
+ #, python-format
+ msgid "%i month"
+ msgid_plural "%i months"
+ msgstr[0] "%i ヶ月"
+-msgstr[1] "%i ヶ月"
+ 
+ #: ../dirdiff.py:575
+ #, python-format
+ msgid "%i year"
+ msgid_plural "%i years"
+ msgstr[0] "%i å¹´"
+-msgstr[1] "%i å¹´"
+ 
+ #. Abbreviation for insert,overwrite so that it will fit in the status bar
+ #: ../filediff.py:215




More information about the arch-commits mailing list